# Update sections customization

```
PATCH 
/note-settings/note-sections-customization/:note_template
```

Update the current user's note generation per-section customization options.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200

The new per-section customization options.

## Operation spec

```json
{
  "method": "patch",
  "path": "/note-settings/note-sections-customization/{note_template}",
  "operationId": "update-note-sections-customization",
  "parameters": [
    {
      "name": "note_template",
      "description": "Template for which the customization applies.",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "enum": [
          "GENERIC_MULTIPLE_SECTIONS",
          "GENERIC_MULTIPLE_SECTIONS_AP_MERGED",
          "GENERIC_SOAP",
          "GENERIC_SOAP_AP_MERGED",
          "GENERIC_SOAP_PLUS_EXAM_TESTS_AP_MERGED",
          "GENERIC_APSO_AP_MERGED",
          "EMERGENCY_MULTIPLE_SECTIONS",
          "EMERGENCY_SOAP",
          "WCC_MULTIPLE_SECTIONS",
          "WCC_SOAP",
          "PSYCHIATRY_MULTIPLE_SECTIONS",
          "PSYCHIATRY_SOAP",
          "PSYCHOLOGY_MULTIPLE_SECTIONS",
          "CARDIOLOGY_MULTIPLE_SECTIONS",
          "DIET_MULTIPLE_SECTIONS"
        ],
        "description": "The template used to generate the note.\n\nSome templates are **only available in specific languages**. Check [Note template](/core-api/guides/note-templates/note-templates-sections) for details.",
        "example": "GENERIC_MULTIPLE_SECTIONS",
        "title": "note_template"
      }
    }
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "note_sections_customization": {
              "type": "array",
              "description": "Advanced per-section customization options for the chosen template.\n\nYou should **only specify sections that belong to the given template**, and **only specify customization options that are supported for the given section**. Also, only specify sections you want to customize, no need to be exhaustive.\n\n\nCheck [Note templates sections](/core-api/guides/note-templates/note-customization) for compatibility matrix.",
              "items": {
                "type": "object",
                "required": [
                  "section_key"
                ],
                "x-patch-properties": [
                  "custom_instruction",
                  "style",
                  "level_of_detail",
                  "split_by_problem"
                ],
                "properties": {
                  "section_key": {
                    "description": "Key of the note section this customization should apply to.",
                    "type": "string",
                    "example": "CHIEF_COMPLAINT",
                    "enum": [
                      "ALLERGIES",
                      "APPOINTMENTS",
                      "ASSESSMENT",
                      "ASSESSMENT_AND_PLAN",
                      "CARDIOVASCULAR_RISK_FACTORS",
                      "CHIEF_COMPLAINT",
                      "CURRENT_MEDICATIONS",
                      "DIAGNOSTIC_TESTS_ORDERED",
                      "FOOD_HABITS",
                      "LIFESTYLE",
                      "PAST_MEDICAL_HISTORY",
                      "OBJECTIVES_AND_ADVICE",
                      "FAMILY_HISTORY",
                      "HISTORY_OF_PRESENT_ILLNESS",
                      "IMAGING_RESULTS",
                      "IMMUNIZATIONS",
                      "LAB_RESULTS",
                      "MENTAL_HEALTH_EXAM",
                      "MENTAL_HEALTH_HISTORY",
                      "PAST_OBSTETRIC_HISTORY",
                      "PAST_SURGICAL_HISTORY",
                      "PHYSICAL_EXAM",
                      "PLAN",
                      "PRESCRIPTION",
                      "HISTORY_OF_PRESENT_COMPLAINT",
                      "OBJECTIVE",
                      "SUBJECTIVE",
                      "SOCIAL_HISTORY",
                      "VITALS",
                      "WELL_CHILD_CARE"
                    ],
                    "title": "note_section_key"
                  },
                  "custom_instruction": {
                    "type": "string",
                    "maxLength": 700,
                    "example": "Include discussion about first symptoms",
                    "nullable": true,
                    "description": "Allow to customize a note section by providing specific guidelines. These guidelines must be as clear and concise as possible for best results."
                  },
                  "split_by_problem": {
                    "type": "boolean",
                    "description": "Flag to structure the content of the note sections according to distinct clinical problems or topics addressed during the consultation."
                  },
                  "style": {
                    "type": "string",
                    "enum": [
                      "AUTO",
                      "PARAGRAPH",
                      "BULLET_POINTS"
                    ],
                    "example": "PARAGRAPH",
                    "description": "Specifies the desired style for the note section:\n\n  • `PARAGRAPH`: Prioritizes generating paragraphs;\n\n  • `BULLET_POINTS`: Prioritizes structuring content using bullet points.\n\n  • `AUTO`: Automatically picks the most natural formatting option.\n\nDefault is `AUTO`.",
                    "title": "note_section_customization_section_style"
                  },
                  "level_of_detail": {
                    "type": "string",
                    "enum": [
                      "DEFAULT",
                      "DETAILED"
                    ],
                    "description": "Specifies the desired level of details. Use `detailed` to get more details in the note section.",
                    "title": "note_section_customization_level_of_detail"
                  }
                }
              }
            }
          },
          "required": [
            "note_sections_customization"
          ],
          "title": "note_template_sections_customization_patch_body"
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "The new per-section customization options.",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "note_sections_customization"
            ],
            "properties": {
              "note_sections_customization": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "section_key"
                  ],
                  "properties": {
                    "section_key": {
                      "description": "Key of the note section this customization should apply to.",
                      "type": "string",
                      "example": "CHIEF_COMPLAINT",
                      "enum": [
                        "ALLERGIES",
                        "APPOINTMENTS",
                        "ASSESSMENT",
                        "ASSESSMENT_AND_PLAN",
                        "CARDIOVASCULAR_RISK_FACTORS",
                        "CHIEF_COMPLAINT",
                        "CURRENT_MEDICATIONS",
                        "DIAGNOSTIC_TESTS_ORDERED",
                        "FOOD_HABITS",
                        "LIFESTYLE",
                        "PAST_MEDICAL_HISTORY",
                        "OBJECTIVES_AND_ADVICE",
                        "FAMILY_HISTORY",
                        "HISTORY_OF_PRESENT_ILLNESS",
                        "IMAGING_RESULTS",
                        "IMMUNIZATIONS",
                        "LAB_RESULTS",
                        "MENTAL_HEALTH_EXAM",
                        "MENTAL_HEALTH_HISTORY",
                        "PAST_OBSTETRIC_HISTORY",
                        "PAST_SURGICAL_HISTORY",
                        "PHYSICAL_EXAM",
                        "PLAN",
                        "PRESCRIPTION",
                        "HISTORY_OF_PRESENT_COMPLAINT",
                        "OBJECTIVE",
                        "SUBJECTIVE",
                        "SOCIAL_HISTORY",
                        "VITALS",
                        "WELL_CHILD_CARE"
                      ],
                      "title": "note_section_key"
                    },
                    "custom_instruction": {
                      "type": "string",
                      "maxLength": 700,
                      "example": "Include discussion about first symptoms",
                      "description": "Allow to customize a note section by providing specific guidelines.  These guidelines must be as clear and concise as possible for best results.",
                      "title": "note_section_customization_custom_instruction"
                    },
                    "style": {
                      "type": "string",
                      "enum": [
                        "AUTO",
                        "PARAGRAPH",
                        "BULLET_POINTS"
                      ],
                      "example": "PARAGRAPH",
                      "description": "Specifies the desired style for the note section:\n\n  • `PARAGRAPH`: Prioritizes generating paragraphs;\n\n  • `BULLET_POINTS`: Prioritizes structuring content using bullet points.\n\n  • `AUTO`: Automatically picks the most natural formatting option.\n\nDefault is `AUTO`.",
                      "title": "note_section_customization_section_style"
                    },
                    "level_of_detail": {
                      "type": "string",
                      "enum": [
                        "DEFAULT",
                        "DETAILED"
                      ],
                      "description": "Specifies the desired level of details. Use `detailed` to get more details in the note section.",
                      "title": "note_section_customization_level_of_detail"
                    },
                    "split_by_problem": {
                      "type": "boolean",
                      "description": "Flag to structure the content of the note sections according to distinct clinical problems or topics addressed during the consultation."
                    }
                  },
                  "title": "note_section_customization"
                },
                "description": "Advanced per-section customization options for the chosen template.\n\nYou should **only specify sections that belong to the given template**, and **only specify customization options that are supported for the given section**. Also, only specify sections you want to customize, no need to be exhaustive.\n\n\nCheck [Note templates sections](/core-api/guides/note-templates/note-customization) for compatibility matrix."
              }
            },
            "title": "note_sections_customization"
          }
        }
      }
    }
  }
}
```
